//////////////////////////////////////////////////////////
//
//	MyuWndBase
//
//////////////////////////////////////////////////////////

#ifndef __MyuWndBase_H__
#define __MyuWndBase_H__

#include <windows.h>

//	クラス宣言
class CMyuWndBase
{
protected:
	HWND m_hWnd;

public:
	//	コンストラクタ・デストラクタ
	CMyuWndBase();
	virtual ~CMyuWndBase();

	//////////////////////////////////////////////////////////////

	BOOL SetWindowText(LPCSTR lpString){
		return ::SetWindowText(m_hWnd,lpString);
	}

	//////////////////////////////////////////////////////////////

	HWND GetWindowHandle() {
		/*if ( m_bAlive != TRUE )  2009:MWL
			MyuThrow( 0, "CMyuWndBase::GetWindowHandle()  ウインドウは生存状態にありません。" );*/
		return m_hWnd;
	}
	HWND GetHwnd(){ return GetWindowHandle(); }
};

typedef CMyuWndBase CMyuWnd;

#endif//__MyuWndBase_H__
